Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.config
Class CIBServiceConfigurationImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
          com.sun.mfwk.cib.sdk.config.CIBServiceConfigurationImpl

All Implemented Interfaces:
  CIBConfiguration, CIBProvider, CIBServiceConfiguration

public class CIBServiceConfigurationImpl
extends CIBConfigurationImpl
implements CIBServiceConfiguration

Provides a default implementation of a service configuration provider. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary
`static java.lang.String` | `configType`

Fields inherited from class com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
`myConnection, myType`

Constructor Summary
`CIBServiceConfigurationImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Contructor
`CIBServiceConfigurationImpl(javax.management.MBeanServerConnection connection, javax.management.ObjectName name)` Contructor
`CIBServiceConfigurationImpl(javax.management.MBeanServerConnection connection, java.lang.String name)` Contructor

Method Summary
`java.lang.String` | `getUri()` Returns the uri of the service resource

Methods inherited from class com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
`destroy, getAttribute, getType, init, start, stop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.config.CIBConfiguration
`getType`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Field Detail

### configType

    public static java.lang.String configType

Constructor Detail

### CIBServiceConfigurationImpl

    public CIBServiceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                       java.util.Map map)

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

### CIBServiceConfigurationImpl

    public CIBServiceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                       java.lang.String name)
                                throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection

### CIBServiceConfigurationImpl

    public CIBServiceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                       javax.management.ObjectName name)
                                throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `name` - ObjectName
Throws:
  `javax.management.MalformedObjectNameException`

Method Detail

### getUri

    public java.lang.String getUri()
                            throws CIBAttributeNotFoundException,
                                   CIBIOException

  Returns the uri of the service resource

  Specified by:
    `getUri` in interface `CIBServiceConfiguration`
  Returns:
    String
  Throws:
    `CIBAttributeNotFoundException`
    `CIBIOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD